GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OGRStyleLabel Class Reference

This class represents a style label. More...

`#include <ogr_featurestyle.h>`

Inheritance diagram for OGRStyleLabel:

## Public Member Functions
const char * | FontName (GBool &bDefault)
void | SetFontName (const char *pszFontName)
double | Size (GBool &bDefault)
void | SetSize (double dfSize)
const char * | TextString (GBool &bDefault)
void | SetTextString (const char *pszTextString)
double | Angle (GBool &bDefault)
void | SetAngle (double dfAngle)
const char * | ForeColor (GBool &bDefault)
void | SetForColor (const char *pszForColor)
const char * | BackColor (GBool &bDefault)
void | SetBackColor (const char *pszBackColor)
const char * | Placement (GBool &bDefault)
void | SetPlacement (const char *pszPlacement)
int | Anchor (GBool &bDefault)
void | SetAnchor (int nAnchor)
double | SpacingX (GBool &bDefault)
void | SetSpacingX (double dfX)
double | SpacingY (GBool &bDefault)
void | SetSpacingY (double dfY)
double | Perp (GBool &bDefault)
void | SetPerp (double dfPerp)
GBool | Bold (GBool &bDefault)
void | SetBold (GBool bBold)
GBool | Italic (GBool &bDefault)
void | SetItalic (GBool bItalic)
GBool | Underline (GBool &bDefault)
void | SetUnderline (GBool bUnderline)
int | Priority (GBool &bDefault)
void | SetPriority (int nPriority)
GBool | Strikeout (GBool &bDefault)
void | SetStrikeout (GBool bStrikeout)
double | Stretch (GBool &bDefault)
void | SetStretch (double dfStretch)
const char * | AdjustmentHor (GBool &bDefault)
void | SetAdjustmentHor (const char *pszAdjustmentHor)
const char * | AdjustmentVert (GBool &bDefault)
void | SetAdjustmentVert (const char *pszAdjustmentVert)
const char * | ShadowColor (GBool &bDefault)
void | SetShadowColor (const char *pszShadowColor)
const char * | OutlineColor (GBool &bDefault)
void | SetOutlineColor (const char *pszOutlineColor)
const char * | GetParamStr (OGRSTLabelParam eParam, GBool &bValueIsNull)
int | GetParamNum (OGRSTLabelParam eParam, GBool &bValueIsNull)
double | GetParamDbl (OGRSTLabelParam eParam, GBool &bValueIsNull)
void | SetParamStr (OGRSTLabelParam eParam, const char *pszParamString)
void | SetParamNum (OGRSTLabelParam eParam, int nParam)
void | SetParamDbl (OGRSTLabelParam eParam, double dfParam)
const char * | GetStyleString ()
Public Member Functions inherited from OGRStyleTool
| OGRStyleTool (OGRSTClassId eClassId)
GBool | GetRGBFromString (const char *pszColor, int &nRed, int &nGreen, int &nBlue, int &nTransparence)
int | GetSpecificId (const char *pszId, const char *pszWanted)
GBool | IsStyleModified ()
void | StyleModified ()
GBool | IsStyleParsed ()
void | StyleParsed ()
OGRSTClassId | GetType ()
void | SetInternalInputUnitFromParam (char *pszString)
void | SetUnit (OGRSTUnitId, double dfScale=1.0)
OGRSTUnitId | GetUnit ()
void | SetStyleString (const char *pszStyleString)
const char * | GetStyleString (const OGRStyleParamId *pasStyleParam, OGRStyleValue *pasStyleValue, int nSize)
const char * | GetParamStr (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
int | GetParamNum (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
double | GetParamDbl (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, GBool &bValueIsNull)
void | SetParamStr (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, const char *pszParamString)
void | SetParamNum (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, int nParam)
void | SetParamDbl (const OGRStyleParamId &sStyleParam, OGRStyleValue &sStyleValue, double dfParam)
double | ComputeWithUnit (double, OGRSTUnitId)
int | ComputeWithUnit (int, OGRSTUnitId)

## Additional Inherited Members
Protected Member Functions inherited from OGRStyleTool
GBool | Parse (const OGRStyleParamId *pasStyle, OGRStyleValue *pasValue, int nCount)

## Detailed Description

This class represents a style label.

The documentation for this class was generated from the following files:

- ogr_featurestyle.h
- ogrfeaturestyle.cpp

Generated for GDAL by 1.8.8.